已解决
发布

Current PHP Version: 5.5.36
Please input upgrade PHP Version: 5.5.38
Download [php-5.5.38.tar.gz] successfully!
[php-5.5.38.tar.gz] found
Press Ctrl+c to cancel or Press any key to continue…
gzip: stdin: unexpected end of file
tar: Unexpected EOF in archive
tar: Unexpected EOF in archive
tar: Error is not recoverable: exiting now
[fpm-race-condition.patch] found
can’t find file to patch at input line 5
Perhaps you used the wrong -p or –strip option?
The text leading up to this was:
————————–
|diff –git sapi/fpm/fpm/events/epoll.c sapi/fpm/fpm/events/epoll.c
|index c9c7f1f..3676816 100644
|— sapi/fpm/fpm/events/epoll.c
|+++ sapi/fpm/fpm/events/epoll.c
————————–
File to patch:
 
提示上面这个,请问怎么办?

1 答案

发布
管理员 2016-07-30

php-5.5.38.tar.gz下载不完整,更新前可执行:
cd /root/oneinstack/src
wget -c http://www.php.net/distributions/php-5.5.38.tar.gz
./upgrade.sh php
 

#1

请登录或者 注册 来提交答案